petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsBoolArray

Gets an array of logical values (true or false) for a particular option in the database. The values must be separated with commas with no intervening spaces.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsBoolArray_Private(PetscOptionItems *PetscOptionsObject,const char opt[],const char text[],const char man[],PetscBool value[],PetscInt *n,PetscBool *set)

Logically Collective on the communicator passed in PetscOptionsBegin() Many br

### Input Parameters

| opt | - the option one is seeking Many br
| text | - short string describing option Many br
| man | - manual page for option Many br
| nmax | - maximum number of values Many br

### Output Parameter

| value | - location to copy values Many br
| nmax | - actual number of values found Many br
| set | - PETSC_TRUE if found, else PETSC_FALSE Many br

Many br

### Notes

The user should pass in an array of doubles Many br

Must be between a PetscOptionsBegin() and a PetscOptionsEnd() Many br

### See Also

PetscOptionsGetInt(NULL,), PetscOptionsGetReal(),
PetscOptionsHasName(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), Many brPetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), Many brPetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), Many brPetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEList() Many br

Level:beginner
Location:src/sys/objects/aoptions.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages